Bug 215291 - Code model cache should be relocatable
Code model cache should be relocatable
Status: RESOLVED FIXED
Product: cnd
Classification: Unclassified
Component: Code Model
7.3
All All
: P2 (vote)
: TBD
Assigned To: Vladimir Kvashin
issues@cnd
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-09 13:56 UTC by Vladimir Kvashin
Modified: 2012-09-18 02:11 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments
Further fixes (while I'm waiting for all tests to pass with previous ones) (6.80 KB, patch)
2012-07-18 21:23 UTC, Vladimir Kvashin
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Kvashin 2012-07-09 13:56:18 UTC
Code model cache should be relocatable.
All absolute paths should be stored in a separate index file; when using off-line cache, such files should be once translated.
There should be no place in repository where absolute paths are used apart from these index(es).
Comment 1 Quality Engineering 2012-07-11 03:27:57 UTC
Integrated into 'main-golden', will be available in build *201207110002* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/7c354533c379
User: Vladimir Kvashin <vkvashin@netbeans.org>
Log: refactoring: moved common repository functions to apt module (fixing #215291 - Code model cache should be relocatable)
Comment 2 Vladimir Kvashin 2012-07-18 21:23:59 UTC
Created attachment 122177 [details]
Further fixes (while I'm waiting for all tests to pass with previous ones)
Comment 3 Quality Engineering 2012-07-19 03:29:58 UTC
Integrated into 'main-golden', will be available in build *201207190002* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/dd2505941d68
User: Vladimir Kvashin <vkvashin@netbeans.org>
Log: got rid of absolute paths in validator storage (fixing #215291 - Code model cache should be relocatable) + removed unused class
Comment 4 Quality Engineering 2012-07-19 17:04:00 UTC
Integrated into 'main-golden', will be available in build *201207191713* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/8c554b824804
User: Vladimir Kvashin <vkvashin@netbeans.org>
Log: fixing #215291 - Code model cache should be relocatable
Comment 5 Quality Engineering 2012-07-20 13:58:11 UTC
Integrated into 'main-golden', will be available in build *201207201342* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/0c420cf21533
User: Vladimir Kvashin <vkvashin@netbeans.org>
Log: If -J-Dcnd.cacne.in.project=true, store cache in nbproject/private/cache (fixing #215291 - Code model cache should be relocatable)
Comment 6 Quality Engineering 2012-07-26 02:17:40 UTC
Integrated into 'main-golden', will be available in build *201207260002* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/8fd8954ae43d
User: Vladimir Kvashin <vkvashin@netbeans.org>
Log: fixing #215291 - Code model cache should be relocatable
Comment 7 Quality Engineering 2012-07-27 02:26:58 UTC
Integrated into 'main-golden', will be available in build *201207270002* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/4e811f37cf7a
User: Vladimir Kvashin <vkvashin@netbeans.org>
Log: get rid of absolute paths encoded in storage file names (fixing #215291 - Code model cache should be relocatable)
Comment 8 Quality Engineering 2012-07-28 02:21:55 UTC
Integrated into 'main-golden', will be available in build *201207280002* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/cd341cd38a41
User: Vladimir Kvashin <vkvashin@netbeans.org>
Log: Under a flag (default OFF), change parse timestamps and comparison: 1) use > instead of != in comparison; 2) use current time instead of file time when remembering parse time. Otherwise offline index doesn't work: in most cases timestamps differ (fixing #215291 - Code model cache should be relocatable)
Comment 9 Quality Engineering 2012-07-29 02:16:36 UTC
Integrated into 'main-golden', will be available in build *201207290002* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/6fb4819c4aa8
User: Vladimir Kvashin <vkvashin@netbeans.org>
Log: If -J-Dcnd.cacne.in.project=true then entire cache resides project  (fixing #215291 - Code model cache should be relocatable)
Comment 10 Quality Engineering 2012-07-31 02:33:35 UTC
Integrated into 'main-golden', will be available in build *201207310001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/17a48d813fa2
User: Vladimir Kvashin <vkvashin@netbeans.org>
Log: class view should not force model initialization if there are no C/C++ projects (fixing #215291 - Code model cache should be relocatable)
Comment 11 Quality Engineering 2012-08-23 10:38:59 UTC
Integrated into 'main-golden', will be available in build *201208230001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/12ccb1f03d5e
User: Vladimir Kvashin <vkvashin@netbeans.org>
Log: 1) Unit IDs as int inst instead of short 2) Refactoring: use read/writeUnit methods (fixing #215291 - Code model cache should be relocatable)
Comment 12 Quality Engineering 2012-08-23 16:06:03 UTC
Integrated into 'main-golden', will be available in build *201208231248* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/d1ff24474d97
User: Vladimir Kvashin <vkvashin@netbeans.org>
Log: fixed wrong casts to (short) (fixing #215291 - Code model cache should be relocatable)
Comment 13 Quality Engineering 2012-08-24 02:39:11 UTC
Integrated into 'main-golden', will be available in build *201208240001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/9a7b38907b15
User: Vladimir Kvashin <vkvashin@netbeans.org>
Log: refactoring: minimoze getUnitId usage (fixing #215291 - Code model cache should be relocatable)
Comment 14 Quality Engineering 2012-08-25 02:47:10 UTC
Integrated into 'main-golden', will be available in build *201208250001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/a3313a9f4a38
User: Vladimir Kvashin <vkvashin@netbeans.org>
Log: removed unit names from API  (fixing #215291 - Code model cache should be relocatable)
Comment 15 Quality Engineering 2012-09-14 02:10:05 UTC
Integrated into 'main-golden', will be available in build *201209140001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/a45a243ae3a5
User: Vladimir Kvashin <vkvashin@netbeans.org>
Log: splitting repositories (fixing #215291 - Code model cache should be relocatable)
Comment 16 Quality Engineering 2012-09-18 02:11:03 UTC
Integrated into 'main-golden', will be available in build *201209180001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/fa7bc415754e
User: Vladimir Kvashin <vkvashin@netbeans.org>
Log: restored offline model functionality after (fixing #215291 Code model cache should be relocatable)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo